package com.chinaitop.depot.intelligent.grainNumberMonitor.mapper;

import com.chinaitop.depot.intelligent.grainNumberMonitor.model.TNumberWarning;
import com.chinaitop.depot.intelligent.grainNumberMonitor.model.TNumberWarningExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TNumberWarningMapper {
    int countByExample(TNumberWarningExample example);

    int deleteByExample(TNumberWarningExample example);

    int deleteByPrimaryKey(String id);

    int insert(TNumberWarning record);

    int insertSelective(TNumberWarning record);

    List<TNumberWarning> selectByExample(TNumberWarningExample example);

    TNumberWarning selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TNumberWarning record, @Param("example") TNumberWarningExample example);

    int updateByExample(@Param("record") TNumberWarning record, @Param("example") TNumberWarningExample example);

    int updateByPrimaryKeySelective(TNumberWarning record);

    int updateByPrimaryKey(TNumberWarning record);

    /**
     * 列表
     * @param map
     * @return
     */
    List<Map<String,Object>> getThisAndSetList(Map<String, String> map);

    /**
     * 获取摄像头信息
     * @return
     */
    List<Map<String,Object>> getVideoInfo();

    //获取仓房名称
    List<Map<String,Object>> getCfName(@Param("cfname") String cfname);
}